package cn.pluss.platform.province.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.pluss.platform.entity.Province;
import cn.pluss.platform.leshua.LeshuaProvince;
import cn.pluss.platform.province.ProvinceService;
import cn.pluss.platform.mapper.ProvinceMapper;

@Transactional
@Service("provinceService")
public class ProvinceServiceImpl  implements ProvinceService{

	 private static final Logger logger = LoggerFactory.getLogger( ProvinceServiceImpl.class);


    @Autowired
	  private ProvinceMapper provinceMapper;

    @Override
    public LeshuaProvince queryProvince(Province province){
        return provinceMapper.queryProvince(province);
    }

    @Override
    public List<LeshuaProvince> queryProvinceList(Province province){
        return provinceMapper.queryProvinceList(province);
    }
    @Override
    public void saveProvince(Province province){
          provinceMapper.saveProvince(province);
    }
    @Override
    public void updateProvince(Province province){
        provinceMapper.updateProvince(province);
    }
    @Override
    public void deleteProvince(Province province){
        provinceMapper.deleteProvince(province);
    }
    @Override
    public List<LeshuaProvince> queryProvincePage(Map map){
        return provinceMapper.queryProvincePage(map);
    }
    @Override
    public Integer queryProvincePageCount(Map map){
        return provinceMapper.queryProvincePageCount(map);
    }
    @Override
    public void saveProvinceBatch(List<Province> provinceList) {
         provinceMapper.saveProvinceBatch(provinceList);
    }
}

